> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get all installations of an environment template

GET https://api.contentful.com/organizations/{organization_id}/environment_templates/{template_id}/template_installations

This action returns a collection with all installations of an environment template in the organization.

Reference: https://contentful.com/developers/docs/references/content-management-api/content-model-templates/get-all-installations-of-an-environment-template

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `organization_id` (string, required) — The ID of the organization. Alphanumerical.
- `template_id` (string, required) — The ID of the template. Alphanumerical.

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "items": [
    {
      "sys": {
        "createdAt": "2026-02-07T00:18:46.000Z",
        "createdBy": {
          "sys": {
            "id": "75cxRYbSLlWMlCrN1tZGdP",
            "linkType": "User",
            "type": "Link"
          }
        },
        "id": "2nZrYQn7N7xijNAOhkKUrH",
        "organization": {
          "sys": {
            "id": "75gbeC7tWNTERE55diMpCN",
            "linkType": "Organization",
            "type": "Link"
          }
        },
        "type": "EnvironmentTemplate",
        "updatedAt": "2026-02-07T00:18:46.000Z",
        "updatedBy": {
          "sys": {
            "id": "75cxRYbSLlWMlCrN1tZGdP",
            "linkType": "User",
            "type": "Link"
          }
        },
        "version": "1"
      }
    }
  ],
  "limit": 100,
  "pages": {},
  "sys": {
    "type": "Array"
  }
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
SDK currently doesn't implement this endpoint.
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const environmentTemplateInstallations = await client.environmentTemplateInstallation.getForEnvironment({
  spaceId: '<space_id>',
  environmentId: '<environment_id>',
  environmentTemplateId: '<environment_template_id>',
});
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```